// *****************************************************************
// ****			     TIMERS and other timing routines           ****
// ****                     www.tolaemon.com                    ****
// ****                       Source code                       ****
// ****                       16-10-2008                        ****
// ****                     Jordi Bartolome                     ****
// ****                                                         ****
// **** IMPORTANT:                                              ****
// **** Using parts of this code means accepting all conditions ****
// **** exposed on the web: www.tolaemon.com/hplayer            ****
// *****************************************************************
#ifndef _TIMERS_
#define _TIMERS_

#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>

#include "iocompat.h"
#include "ayfwre.h"
#include "uart0.h"

uint32_t TIMERS_Timer0GetTime();
int8_t TIMERS_Timer0ReachedTime(uint32_t time_to_reach);
void TIMERS_NopsBlockingPause(uint32_t ciclos);
void TIMERS_BlockingPause(uint16_t cicles);
void TIMERS_NBlockingPauses(uint8_t number_of_pauses,uint16_t cicles);
void TIMERS_Init();

#endif

